Bug 236527 - gnome desktop not loading after second login
gnome desktop not loading after second login
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-15 22:12 EDT by Maxwell Bottiger
Modified: 2008-05-06 21:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:29:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maxwell Bottiger 2007-04-15 22:12:01 EDT
Description of problem:
I'm actually having a group of what might be related problems with gnome in
fedora 7 test 3.  (I can't find a specific place to submit fc7 bugs, so i hope
this is it.)

If I log on as a non-root user right after the computer boots, I can get to my
gnome desktop 50% fo the time with no problems.  The other 50% of the time the
gnome session hangs after loading the panel.  Applications which load
automatically (like gkrellm) continue to run and respond to the mouse, but the
panel itself and the window manager don't appear to respond to user input, as
well as don't repaint after a window has been drug over them.

If I log out, or kill the X session with ctrl-alt-bkspace and then attempt to
log in again, I simply get a black screen with a pointer.  Nothing happens after
that.  gnome-session, gnome-settings-daemon, gnome-panel and
gnome-keyring-daemon are all loading, but nothing is actually executing.

It may be unrelated, but the gnome logout function is not working unless I've
been logged in for half an hour or more.  It doesn't seem to matter if it's a
root acount or not, but the logout window simply hangs after I press the logout
button.  (I think this is really gnome-session-save hanging, but I don't have
any info on it.

Version-Release number of selected component (if applicable):
gnome-session-2.18.0-5.fc7
gnome-desktop-2.18.0-4.fc7

How reproducible:
Every time

Steps to Reproduce:
1.log in (although that  doesn't always work)
2.log out
3.log in again (always fails
  
Actual results:
black screen

Expected results:
gnome

Additional info:
This isn't a critical security bug, but it does make the comptuer pretty unusable
Comment 1 Joachim Frieben 2007-05-16 03:31:47 EDT
The same problem here. The background appears after logging in as well as
the mouse cursor which can be moved. However, either the desktop remains
completely blank or, at most, the panel bars show up but without any labels
and icons. Killing the "X" server and logging in again does not help.
Sometimes after rebooting the system, "GNOME" starts up as expected.
Only removing related dot directories ensures that the session is launched
correctly. After that, one has every interest not to log out again ..
Comment 2 Bug Zapper 2008-04-03 20:06:12 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 21:29:37 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.